> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Additional Person Applications



## OpenAPI

````yaml api-reference/openapi-apply.json GET /apply/additional_person_application
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Account Opening
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /apply/additional_person_application:
    get:
      tags:
        - Additional Person
      summary: List Additional Person Applications
      parameters:
        - description: ID of the Account to add an additional person. Filterable.
          in: query
          name: account_id
          schema:
            type: string
        - description: >-
            ID of the Person Application to associate with the Account.
            Filterable.
          in: query
          name: person_application_id
          schema:
            type: string
        - description: >-
            Role to use when associating the Person Application with the
            Account. Filterable.
          in: query
          name: role
          schema:
            type: string
        - description: >-
            Status of the additional person application. One of `approved`,
            `error`, `pending`, `processing`, `rejected`, `manual_review`.
            Filterable.
          in: query
          name: status
          schema:
            type: string
        - description: Pagination cursor, value is the object ID.
          in: query
          name: page_cursor
          schema:
            type: string
        - description: >-
            Limits the number of objects in the returned list, value must be a
            number greater than or equal to 1. Defaults to 100.
          in: query
          name: page_size
          schema:
            default: 100
            minimum: 1
            type: integer
        - description: >-
            Lists the objects created on the date provided and onwards. Date
            must be in ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: from_date
          schema:
            type: string
        - description: >-
            Lists the objects created before the date provided. Date must be in
            ISO 8601 format (“YYYY-MM-DD”).
          in: query
          name: to_date
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    data:
                      - account_id: acct_11fnfr2p45f96m
                        bankdata:
                          ip_address: 127.0.0.40
                        created_at: '2019-03-02T11:55:14Z'
                        id: aapa_01d5w7mvmwvy
                        person_application_id: apsn_01d5w7mvmwvy
                        role: owner
                        status: pending
                        updated_at: '2019-03-02T11:55:14Z'
                        userdata: null
              schema:
                properties:
                  data:
                    items:
                      properties:
                        account_id:
                          description: >-
                            ID of the Account to add an additional person.
                            Filterable.
                          type: string
                        bankdata:
                          description: >-
                            Arbitrary data attached to the object, for the
                            bank's use
                          type: object
                        id:
                          description: Unique identifier for the object
                          type: string
                        person_application_id:
                          description: >-
                            ID of the Person Application to associate with the
                            Account. Filterable.
                          type: string
                        role:
                          description: >-
                            Role to use when associating the Person Application
                            with the Account. Filterable.
                          type: string
                        status:
                          description: >-
                            Status of the additional person application. One of
                            `approved`, `error`, `pending`, `processing`,
                            `rejected`, `manual_review`. Filterable.
                          type: string
                        userdata:
                          description: Arbitrary data the user can attach to the object
                          type: object
                      type: object
                    type: array
          description: >-
            A dictionary with a `data` property that contains a list of up to
            `page_size` additional-person-application elements, starting after
            the additional-person-application described by `page_cursor`. If no
            more additional-person-applications are available, the resulting
            list will be empty.
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````